summaryrefslogtreecommitdiffstats
path: root/source/d
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-06-03 20:21:52 +0000
committer Eric Hameleers <alien@slackware.com>2020-06-04 08:59:54 +0200
commit51dac8e0d6d3193cb63563eb91a2cd6c8084e20d (patch)
treedff63b2d50f9c7f7545d0a893fd358db164038d3 /source/d
parent611a2c13b5943177c809540ee05d83bf10ae940a (diff)
downloadcurrent-51dac8e0d6d3193cb63563eb91a2cd6c8084e20d.tar.gz
current-51dac8e0d6d3193cb63563eb91a2cd6c8084e20d.tar.xz
Wed Jun 3 20:21:52 UTC 202020200603202152
a/dbus-1.12.18-x86_64-1.txz: Upgraded. a/kernel-generic-5.4.44-x86_64-1.txz: Upgraded. a/kernel-huge-5.4.44-x86_64-1.txz: Upgraded. a/kernel-modules-5.4.44-x86_64-1.txz: Upgraded. d/bison-3.6.3-x86_64-1.txz: Upgraded. d/kernel-headers-5.4.44-x86-1.txz: Upgraded. d/subversion-1.14.0-x86_64-1.txz: Upgraded. k/kernel-source-5.4.44-noarch-1.txz: Upgraded. l/harfbuzz-2.6.7-x86_64-1.txz: Upgraded. l/libcap-2.36-x86_64-1.txz: Upgraded. l/librsvg-2.48.6-x86_64-1.txz: Upgraded. n/gnutls-3.6.14-x86_64-1.txz: Upgraded. Fixed insecure session ticket key construction, since 3.6.4. The TLS server would not bind the session ticket encryption key with a value supplied by the application until the initial key rotation, allowing attacker to bypass authentication in TLS 1.3 and recover previous conversations in TLS 1.2. [GNUTLS-SA-2020-06-03, CVSS: high] (* Security fix *) n/iproute2-5.7.0-x86_64-1.txz: Upgraded. n/iptables-1.8.5-x86_64-1.txz: Upgraded. xap/audacious-4.0.4-x86_64-1.txz: Upgraded. xap/audacious-plugins-4.0.4-x86_64-1.txz: Upgraded. extra/pure-alsa-system/audacious-plugins-4.0.4-x86_64-1_alsa.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/d')
-rwxr-xr-xsource/d/subversion/get-svn-book.sh1
-rwxr-xr-xsource/d/subversion/subversion.SlackBuild31
2 files changed, 19 insertions, 13 deletions
diff --git a/source/d/subversion/get-svn-book.sh b/source/d/subversion/get-svn-book.sh
index e88530d32..b81ab0ef7 100755
--- a/source/d/subversion/get-svn-book.sh
+++ b/source/d/subversion/get-svn-book.sh
@@ -3,6 +3,7 @@ CWD=`pwd`
# Add the latest copy of the Subversion book:
( cd $CWD
+ rm -f svn-book-html.tar.bz2
lftpget http://svnbook.red-bean.com/en/1.7/svn-book-html.tar.bz2
chmod 644 svn-book-html.tar.bz2
)
diff --git a/source/d/subversion/subversion.SlackBuild b/source/d/subversion/subversion.SlackBuild
index 68e0e75bb..43c3eeffb 100755
--- a/source/d/subversion/subversion.SlackBuild
+++ b/source/d/subversion/subversion.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2015, 2018, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=subversion
VERSION=${VERSION:-$(echo subversion-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -98,25 +98,30 @@ CFLAGS="$SLKCFLAGS" \
--with-lz4=internal \
--with-zlib=/usr \
--with-pic \
- --with-kwallet \
--build=$ARCH-slackware-linux || exit 1
+# Leave this out for now, because having qt5 and KDE4 installed confuses it.
+# We'll look at it again once we have Plasma 5.
+# --with-kwallet
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
make install-tools DESTDIR=$PKG || exit 1
make install-docs DESTDIR=$PKG || exit 1
-# Install python bindings
-make swig-py || exit 1
-make install-swig-py DESTDIR=$PKG || exit 1
-PYTHON_VER=$(python -c 'import sys; print "%d.%d" % sys.version_info[:2]')
-mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/python${PYTHON_VER}/site-packages
-mv $PKG/usr/lib${LIBDIRSUFFIX}/svn-python/* \
- $PKG/usr/lib${LIBDIRSUFFIX}/python${PYTHON_VER}/site-packages
-rmdir $PKG/usr/lib${LIBDIRSUFFIX}/svn-python
+## COMMENTED OUT - this doesn't work with swig > 4.0.0
+## If something actually needs it, let me know and I'll look at it again.
+## Install python bindings
+#make swig-py || exit 1
+#make install-swig-py DESTDIR=$PKG || exit 1
+#PYTHON_VER=$(python3 -c 'import sys; print "%d.%d" % sys.version_info[:2]')
+#mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/python${PYTHON_VER}/site-packages
+#mv $PKG/usr/lib${LIBDIRSUFFIX}/svn-python/* \
+# $PKG/usr/lib${LIBDIRSUFFIX}/python${PYTHON_VER}/site-packages
+#rmdir $PKG/usr/lib${LIBDIRSUFFIX}/svn-python
# Perl bindings
-make swig-pl-lib || exit 1
+make $NUMJOBS swig-pl-lib || exit 1
make install-swig-pl-lib DESTDIR=$PKG || exit 1
( cd subversion/bindings/swig/perl/native
perl Makefile.PL
@@ -126,7 +131,7 @@ eval $(perl '-V:archlib')
mv $PKG/$archlib/perllocal.pod $PKG/$archlib/subversion.pod
# Ruby bindings
-make swig-rb || exit 1
+make $NUMJOBS swig-rb || exit 1
make install-swig-rb DESTDIR=$PKG || exit 1
# Don't ship .la files: